Explore using VLC as an alternative to Qt Multimedia on desktop targets
Closed, ResolvedPublic

Description

Explore the possibility to use VLC when building Elisa for desktop targets. As far as I can say, its should be easier to provide a good out of the box experience especially for flatpak and Windows platforms.

mgallien created this task.Oct 11 2017, 7:58 PM
mgallien renamed this task from Explore switching to Phonon on desktop targets to Explore using VLC as an alternative to Qt Multimedia on desktop targets.Sep 16 2018, 10:06 AM
mgallien updated the task description. (Show Details)

Digikam switched to QtAV once and they said it's better for cross-platform. It also has a QML interface and a similar API to Qt Multimedia. I think you should check that first before VLC.

Digikam switched to QtAV once and they said it's better for cross-platform. It also has a QML interface and a similar API to Qt Multimedia. I think you should check that first before VLC.

I have also been given the advice to use libVLC.
In all cases, I just want to play music not video and with a dependency not needing to install audio codec on Windows or with an easier way to bundle all the codecs like for flatpak.

Is QtAV a good idea for audio only needs and with an easy way to get all audio format supported ? I honestly do not know but I will have a look.

I forgot for a second that you don't need video support. Well I'm not entirely sure if QtAV supports many audio formats, but it depends on ffmpeg which I believe support many. I have very little knowledge here and just wanted to add some info about the existence of QtAV :)

mgallien moved this task from Backlog to In Progress on the Elisa board.Oct 1 2018, 6:47 PM
mgallien moved this task from In Progress to Done on the Elisa board.Oct 5 2018, 6:22 PM
mgallien closed this task as Resolved.Oct 8 2018, 5:18 AM